> ## Documentation Index
> Fetch the complete documentation index at: https://cometchat-013b37f0.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Call

> Fetches all the details of the call whose sessionId is passed in the URL.



## OpenAPI

````yaml get /calls/{sessionId}
openapi: 3.1.0
info:
  title: calls-api
  version: '3'
servers:
  - url: https://{appId}.call-{region}.cometchat.io/v3.0
    variables:
      appId:
        default: appId
      region:
        default: region
security:
  - sec0: []
paths:
  /calls/{sessionId}:
    get:
      summary: Get Call
      description: >-
        Fetches all the details of the call whose sessionId is passed in the
        URL.
      operationId: get-call
      parameters:
        - name: onBehalfOf
          in: header
          description: UID of the user on whose behalf the action is performed.
          schema:
            type: string
        - name: sessionId
          in: path
          description: Call to Retreive
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Get Call:
                  value: |-
                    {
                        "data": [
                            {
                                "sessionId": "v1.eu.2574867aa2e6e417.17158459999d7fa95b1b4faea599f11eb5ecf07611b0b335c3",
                                "totalAudioMinutes": 0,
                                "totalVideoMinutes": 0,
                                "totalDuration": "00:00:00",
                                "hasRecording": false,
                                "initiatedAt": 1715845999,
                                "initiator": "superhero1",
                                "mode": "call",
                                "receiver": "superhero2",
                                "receiverType": "user",
                                "status": "initiated",
                                "totalDurationInMinutes": 0,
                                "totalParticipants": 0,
                                "type": "audio",
                                "participants": [
                                    {
                                        "uid": "superhero1",
                                        "totalAudioMinutes": 0,
                                        "totalVideoMinutes": 0,
                                        "isJoined": false,
                                        "totalDurationInMinutes": 0,
                                        "name": "Iron Man",
                                        "avatar": "https://data-eu.cometchat.io/assets/images/avatars/ironman.png"
                                    },
                                    {
                                        "uid": "superhero2",
                                        "totalAudioMinutes": 0,
                                        "totalVideoMinutes": 0,
                                        "isJoined": false,
                                        "state": "unanswered",
                                        "totalDurationInMinutes": 0,
                                        "name": "Captain America",
                                        "avatar": "https://data-eu.cometchat.io/assets/images/avatars/captainamerica.png"
                                    }
                                ],
                                "data": {
                                    "entities": {
                                        "initiator": {
                                            "entity": {
                                                "uid": "superhero1",
                                                "name": "Iron Man",
                                                "avatar": "https://data-eu.cometchat.io/assets/images/avatars/ironman.png"
                                            }
                                        },
                                        "receiver": {
                                            "entity": {
                                                "uid": "superhero2",
                                                "name": "Captain America",
                                                "avatar": "https://data-eu.cometchat.io/assets/images/avatars/captainamerica.png"
                                            }
                                        }
                                    }
                                }
                            }
                        ]
                    }
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        sessionId:
                          type: string
                          example: >-
                            v1.eu.2574867aa2e6e417.17158459999d7fa95b1b4faea599f11eb5ecf07611b0b335c3
                        totalAudioMinutes:
                          type: integer
                          example: 0
                          default: 0
                        totalVideoMinutes:
                          type: integer
                          example: 0
                          default: 0
                        totalDuration:
                          type: string
                          example: '00:00:00'
                        hasRecording:
                          type: boolean
                          example: false
                          default: true
                        initiatedAt:
                          type: integer
                          example: 1715845999
                          default: 0
                        initiator:
                          type: string
                          example: superhero1
                        mode:
                          type: string
                          example: call
                        receiver:
                          type: string
                          example: superhero2
                        receiverType:
                          type: string
                          example: user
                        status:
                          type: string
                          example: initiated
                        totalDurationInMinutes:
                          type: integer
                          example: 0
                          default: 0
                        totalParticipants:
                          type: integer
                          example: 0
                          default: 0
                        type:
                          type: string
                          example: audio
                        participants:
                          type: array
                          items:
                            type: object
                            properties:
                              uid:
                                type: string
                                example: superhero1
                              totalAudioMinutes:
                                type: integer
                                example: 0
                                default: 0
                              totalVideoMinutes:
                                type: integer
                                example: 0
                                default: 0
                              isJoined:
                                type: boolean
                                example: false
                                default: true
                              totalDurationInMinutes:
                                type: integer
                                example: 0
                                default: 0
                              name:
                                type: string
                                example: Iron Man
                              avatar:
                                type: string
                                example: >-
                                  https://data-eu.cometchat.io/assets/images/avatars/ironman.png
                        data:
                          type: object
                          properties:
                            entities:
                              type: object
                              properties:
                                initiator:
                                  type: object
                                  properties:
                                    entity:
                                      type: object
                                      properties:
                                        uid:
                                          type: string
                                          example: superhero1
                                        name:
                                          type: string
                                          example: Iron Man
                                        avatar:
                                          type: string
                                          example: >-
                                            https://data-eu.cometchat.io/assets/images/avatars/ironman.png
                                receiver:
                                  type: object
                                  properties:
                                    entity:
                                      type: object
                                      properties:
                                        uid:
                                          type: string
                                          example: superhero2
                                        name:
                                          type: string
                                          example: Captain America
                                        avatar:
                                          type: string
                                          example: >-
                                            https://data-eu.cometchat.io/assets/images/avatars/captainamerica.png
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: apiKey

````